curl --request GET \
--url https://api.fabric.inc/v3/carts/{cartId}/shipping-details/{shippingDetailId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/shipping-details/{shippingDetailId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/shipping-details/{shippingDetailId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
"createdAt": "2022-09-06T14:07:17.000Z",
"updatedAt": "2022-09-06T14:07:17.000Z",
"address": {
"addressLine1": "123 Main St.",
"city": "Seattle",
"region": "WA",
"country": "USA",
"postalCode": "98121",
"addressLine2": "Suite 100",
"addressLine3": "Seventh floor",
"addressLine4": "Attention: Pat E. Kake",
"attention": "Billing manager",
"email": "test@example.com",
"type": "shipping",
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
}
},
"type": "SHIP_TO_ADDRESS",
"taxCode": "FR1000",
"isPickup": true,
"altPickupPerson": {
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
},
"email": "test@example.com"
},
"pickupPerson": {
"name": "Pat E Kake",
"phone": {
"number": "123-456-7899",
"type": "MOBILE"
},
"email": "test@example.com"
},
"warehouseId": "XYZ-1234",
"storeId": "ABC-123",
"shippingCost": 150.25,
"shippingMethodId": "dfsae-2d32113-32lpdd",
"shippingDiscount": 150.25,
"shippingMethodName": "Express Delivery"
}{
"type": "BAD_REQUEST",
"message": "Bad Request"
}{
"type": "UNAUTHORIZED",
"message": "Unauthorized User"
}{
"type": "NOT_FOUND",
"message": "Cart not found"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Get shipping details
Get specified shipping details of line items in specified cart.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Path Parameters
Cart ID
"b8a64b52-dab4-8137-8d6a-f2c2337abc1"
Shipping detail identifier
"a1b26d22-cad2-6242-a2b4-e3c4282bad4"
Response
OK
Shipping Details
Shipping details ID
"fef78121-bee3-4448-bf1c-d5b5461dbda2"
Time shipping detail was created
"2022-09-06T14:07:17.000Z"
Time shipping detail was last updated
"2022-09-06T14:07:17.000Z"
Shipping address
Show child attributes
Show child attributes
Shipping type
"SHIP_TO_ADDRESS"
Shipping tax code
"FR1000"
true: Item is set for pickup
false: Item is set for delivery
true
Alternative pickup person
Show child attributes
Show child attributes
Designated pickup person
Show child attributes
Show child attributes
Warehouse ID
"XYZ-1234"
Store ID
"ABC-123"
Shipping cost
150.25
Shipping method ID
"dfsae-2d32113-32lpdd"
Discount amount
150.25
Shipping method name
"Express Delivery"
Was this page helpful?
